import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'payStatus'
})
export class PayStatusPipe implements PipeTransform {

    transform(value: number): string {
        switch (value) {
            case 101:
                return '待支付';
            case 102:
                return '已支付';
            case 100:
                return '已完成';
            case 104:
                return '已取消';
            case 105:
                return '已退款';
        }
    }

}
